<h1 mat-dialog-title>{{dictionary.aircraft}}</h1>
<div mat-dialog-content class="mat-dialog-content">


    <!--    <mat-progress-bar mode="indeterminate" *ngIf="wait"></mat-progress-bar>-->
    <mat-tab-group mat-stretch-tabs dynamicHeight class="example-stretched-tabs mat-elevation-z4"
                   (selectedTabChange)="wait=true;this.startClick()" (selectedIndexChange)="wait=false">
        <!-- (animationDone)="this.startClick();" -->

        <mat-tab label="{{this.data.aircraft.name}}">
            <ng-template matTabContent>
                <div class="mat-tab" (load)="log(1)">
                    <div class="canvas-case">
                        <div class="canvas-holder">
                            <canvas id="canvas" #canvasAircraftCharts></canvas>
                        </div>
                    </div>
                </div>
            </ng-template>

        </mat-tab>
        <mat-tab
            label="{{dictionary.competing + ' ' + dictionary.aircrafts}}"
            matBadge="{{(this._similarAircrafts.length - 1)}}" matBadgeColor="accent">
            <ng-template matTabLabel>
                <span matBadge="{{(this._similarAircrafts.length - 1)}}" matBadgeOverlap="false"
                      matBadgeSize="medium">{{dictionary.competing + ' ' + dictionary.aircrafts}}</span>
            </ng-template>
            <ng-template matTabContent>
                <div class="mat-tab">
                    <div class="similar-body">
                        <div class="similar-inbody">
                            <div fxLayout="row wrap">
                                <div *ngFor="let obj of this._similarAircrafts" fxFlex="25" fxFlex.md="33.333333"
                                     fxFlex.sm="50" fxFlex.xs="100">
                                    <app-aircraft-card [aircraftObject]="obj"
                                                       [dataFromCurrentAircraft]="this.chartService.data"
                                    ></app-aircraft-card> <!-- (readyRendering)="next($event)" -->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </ng-template>
        </mat-tab>
        <mat-tab label="Extra Daten" class="mat-tab">
            <ng-template matTabContent>
                <div class="mat-tab">
                    <div class="extra-body"  style="overflow-x: hidden !important;">
                        <div class="extra-inbody">
                            <app-flight-data [aircraftObject]="this.data.aircraft"></app-flight-data>
                        </div>
                    </div>
                </div>
            </ng-template>
        </mat-tab>
    </mat-tab-group>
</div>


<div mat-dialog-actions>
    <button mat-raised-button matDialogClose="">{{dictionary.cancel}}</button>
</div>


